html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 12px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {

    /*TODO: HACER BIEN ESTA PAAAAAAAAAAAAAAARTE*/
 

    min-height: 100%;
    min-width: 100;
}

body {
  margin-bottom: 60px;
}

/*------------------------Seņor sidebar-------------------------*/

.sidebar {
    width: 60px;
    background-color: #343a40 !important;
    height: 100vh;
    transition: width 0.3s ease;
    overflow-x: hidden;
    position: fixed;
    z-index: 1000;
}

.sidebar:hover {
    width: 350px;
}

.sidebar .nav-link {
    display: flex;
    align-items: center;
    padding: 15px;
    color: white;
    transition: background 0.2s;
}

    .sidebar .nav-link:hover {
        background-color: #495057;
    }

.sidebar i {
    width: 30px;
    text-align: center;
    font-size: 1.2rem;
}

.sidebar .link-text {
    opacity: 0;
    white-space: nowrap;
    margin-left: 10px;
    transition: opacity 0.3s ease;
}

.sidebar:hover .link-text {
    opacity: 1;
}

.content {
    margin-left: 60px;
    transition: margin-left 0.3s ease;
}

.sidebar:hover ~ .content {
    margin-left: 200px;
}

/*--------------------Fin del Seņor sidebar-------------------------*/

/*DESPLEGABLE HACIA ABAJO*/
.dropdown-toggle {
    outline: 0;
}

.btn-toggle {
    padding: .25rem .5rem;
    font-weight: 600;
    color: var(--bs-emphasis-color);
    background-color: transparent;
}

    .btn-toggle:hover,
    .btn-toggle:focus {
        color: rgba(var(--bs-emphasis-color-rgb), .85);
        background-color: var(--bs-tertiary-bg);
    }

    .btn-toggle::before {
        width: 1.25em;
        line-height: 0;
        content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
        transition: transform .35s ease;
        transform-origin: .5em 50%;
    }

[data-bs-theme="dark"] .btn-toggle::before {
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28255,255,255,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
}

.btn-toggle[aria-expanded="true"] {
    color: rgba(var(--bs-emphasis-color-rgb), .85);
}

    .btn-toggle[aria-expanded="true"]::before {
        transform: rotate(90deg);
    }

.btn-toggle-nav a {
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
}

    .btn-toggle-nav a:hover,
    .btn-toggle-nav a:focus {
        background-color: var(--bs-tertiary-bg);
    }

.scrollarea {
    overflow-y: auto;
}